
D4Science Infrastructure - Incident #10717

Tagme stops responding because is going out of heap space

Dec 15, 2017 03:18 PM - Andrea Dell'Amico

Status: Closed Start date: Dec 15, 2017

Priority: Urgent Due date:  

Assignee: Marco Cornolti % Done: 100%

Category: Application Estimated time: 0.00 hour

Target version: No Sprint   

Infrastructure: Production   

Description

It seems that a lot of accesses started today from 141.115.102.180 (many requests per second, often) and the service is not able to

cope with them.

We can increase the VM resources somewhat, but I fear that it would only slow down the interval between failures.

History

#1 - Dec 15, 2017 04:27 PM - Tommaso Piccioli

- Status changed from New to In Progress

- % Done changed from 0 to 90

We placed a rule to reject network 141.115.102.160/27.

Tomcat restarted, let see what happens.

#2 - Dec 15, 2017 04:30 PM - Tommaso Piccioli

- Status changed from In Progress to Feedback

- % Done changed from 90 to 100

#3 - Dec 19, 2017 11:46 AM - Andrea Dell'Amico

Closing the ticket. If those accesses were legit, they should rate limit it before removing the firewall rules.

#4 - Dec 19, 2017 11:46 AM - Andrea Dell'Amico

- Status changed from Feedback to Closed
